All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
pcm_external.h File Reference

External PCM plugin SDK. More...

Go to the source code of this file.

## Macros

#define | SND_PCM_PLUGIN_ENTRY(name) _snd_pcm_##name##_open
#define | SND_PCM_PLUGIN_SYMBOL(name) SND_DLSYM_BUILD_VERSION(SND_PCM_PLUGIN_ENTRY(name), SND_PCM_DLSYM_VERSION);
#define | SND_PCM_PLUGIN_DEFINE_FUNC(plugin)

## Functions

int | snd_pcm_parse_control_id (snd_config_t *conf, snd_ctl_elem_id_t *ctl_id, int *cardp, int *cchannelsp, int *hwctlp)
| Parse control element id from the config. More...

## Detailed Description

External PCM plugin SDK.

Author
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  2005

Extern PCM plugin SDK.